Page MenuHomeFreeBSD

update multimedia/libbluray 0.7.0 to 0.9.2 and multimedia/libaacs 0.8.0 to 0.8.1
ClosedPublic

Authored by kami on Mar 25 2016, 11:53 PM.

Details

Summary

The libbluray library, in conjunction with libaacs and libbdplus provide support for blu-ray playback (provided the bd can be mounted and a key collection is present).

This patch updates them to the latest release.

Test Plan

port test on stable/10 amd64 for all 3 succeeded.
multimedia/mpv successfully links against libbluray.

Poudriere tests: 10.2-release-amd64, 10.2-release-i386, 9.3-release-amd64, 9.3-release-i386 succeeded.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kami updated this revision to Diff 14618.Mar 25 2016, 11:53 PM
kami retitled this revision from to update multimedia/libbluray 0.7.0 to 0.9.2 and multimedia/libaacs 0.8.0 to 0.8.1.
kami updated this object.
kami edited the test plan for this revision. (Show Details)
kami added reviewers: cs, koobs.
kami set the repository for this revision to rP FreeBSD ports repository.
kami added a project: Ports Committers.
mat added a comment.Mar 26 2016, 6:38 AM

Could you upload a diff generated with:

svn diff --diff-cmd=diff -x -U9999

(or better, use devel/arcanist)

kami updated this revision to Diff 14625.Mar 26 2016, 8:33 AM

Add diff created by arcanist.

(I haven't used it before because of PHP)

kami updated this revision to Diff 14752.Mar 30 2016, 10:07 PM

Removed the obsolete plist target.

I successfully built vlc-2.2.1_8,4, mplayer-1.3.0_1 and mpv-0.16.0_1,1
linked against libbluray in FreeBSD 9.3/10.2 amd64/i386 jails.

mat added inline comments.Mar 31 2016, 11:05 AM
multimedia/libbluray/Makefile
34–47 ↗(On Diff #14752)

All this should be converted to options helpers.

49–56 ↗(On Diff #14752)

This is also called OPTIONS_SUB=yes

kami updated this revision to Diff 14842.Apr 2 2016, 9:21 PM

Add a can of bsd.options.mk fu.

The usual testing has been done:

  • Builds on 9.3/10.2 i386/amd64
  • mplayer, mpv and vlc successfully link against it
cs accepted this revision.Apr 25 2016, 6:30 PM
cs edited edge metadata.
This revision is now accepted and ready to land.Apr 25 2016, 6:30 PM
This revision was automatically updated to reflect the committed changes.
kami marked 2 inline comments as done.